import PropTypes from 'prop-types';
import styles from './styles.module.css';

const Seat = ({ id, status, ...rest }) => {
  return <div {...rest} className={` ${styles[status]} ${styles.seat} `}></div>;
};

Seat.propTypes = {
  status: PropTypes.oneOf(['current-selected', 'selected-by-other', 'seat'])
};

export default Seat;
